#ifndef _IP_CONNTRACK_ORACLE_H
#define _IP_CONNTRACK_ORACLE_H
/* FTP tracking. */

#ifdef __KERNEL__

#include <linux/netfilter_ipv4/lockhelp.h>

/* Protects ftp part of conntracks */
DECLARE_LOCK_EXTERN(ip_oracle_lock);

#define ORACLE_PORT	1521

#endif /* __KERNEL__ */


/* This structure is per expected connection */
struct ip_ct_oracle_expect
{
	/* We record seq number and length of ftp ip/port text here: all in
	 * host order. */

 	/* sequence number of IP address in packet is in ip_conntrack_expect */
	u_int32_t len;			/* length of IP address */
	u_int16_t port; 		/* TCP port that was to be used */
};

/* This structure exists only once per master */
struct ip_ct_oracle_master {
	/* did not need to record anything */
};

#endif /* _IP_CONNTRACK_ORACLE_H */
